Subject: Re: one vs. two drivers for an iWARP-capable Ethernet NIC

From: "Roland Dreier" <[email-masked]>
Date: Thu, 04 Jan 2007 13:45:59 -0800

> Jeff/Roland/all,
 > What is the preferred submission driver model for an iWARP-capable
 > Ethernet NIC - two separate drivers (Ethernet and OpenFabrics) that
 > interact with each other, or a single driver that supports both
 > OpenFabrics and Ethernet interfaces?

Let's not use the term "OpenFabrics interface."  Let's just call the
two interfaces RDMA and ethernet (or L2 NIC if you like).

Anyway my preference would be for the cleanest possible driver.  If
your driver is not naturally divided into two separate parts then it's
fine to have a unified driver.  We already have examples of both:
amso1100 is unified and the Chelsio T3 driver is split.

 - R.